[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.NotifyKeyDownBeforeHandler

NotifyKeyDownBeforeHandler - send message to handler for the condition where a key has been previously pressed (eg a Shift, Control or Alt key(

## Declaration

Source position: forms.pp line 1335

`public procedure TApplication.NotifyKeyDownBeforeHandler(`
`Sender: TObject;`
`var Key: Word;`
`Shift: TShiftState`
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.